# Tested Models on OpenCore Legacy Patcher

To aid users in troubleshooting, we've compiled a list of users who've reported success with OpenCore Legacy patcher as well as the version used. This should aid users in verifying whether issues with the patcher are regression-related with newer versions.

### MacBook

| SMBIOS | Tested | Tester | Model | Version | Comment |
| :--- | :--- | :--- | :--- | :--- | :--- |
| MacBook4,1 | <span style="color:#30BCD5"> YES </span> | Mami | Stock | Unknown | Couldn't install due to broke USB support |
| MacBook5,1 | ^^ | air.man | ^^ | 0.0.19 | N/A |
| MacBook5,2 | ^^ | Finder352 | ^^ | ^^ | ^^ |
| MacBook6,1 | ^^ | Finder352 | ^^ | ^^ | ^^ |
| MacBook7,1 | ^^ | MykolaG | ^^ | ^^ | ^^ |
| ^^ | ^^ | Jazzzny | ^^ | ^^ | ^^ |
| ^^ | ^^ | AlexSakha67 | ^^ | 0.0.20 | ^^ |
| MacBook8,1 | <span style="color:red"> NO </span> | N/A | N/A | N/A | ^^ |

### MacBook Air

| SMBIOS | Tested | Tester | Model | Version | Comment |
| :--- | :--- | :--- | :--- | :--- | :--- | 
| MacBookAir2,1 | <span style="color:red"> NO </span> | N/A | N/A | N/A | N/A |
| MacBookAir3,1 | <span style="color:#30BCD5"> YES </span> | uvesten | Stock | 0.3.3 | ^^ |
| MacBookAir3,2 | ^^ | houser42 | ^^ | Unknown | ^^ |
| MacBookAir4,1 | <span style="color:red"> NO </span> | N/A | N/A | N/A | ^^ |
| MacBookAir4,2 | <span style="color:#30BCD5"> YES </span> | bdwilson1907 | Stock | 0.3.1 | Intermittent keyboard backlight |
| MacBookAir5,1 | ^^ | Ausdauersportler | ^^ | 0.0.9 | N/A |
| ^^ | ^^ | webg3 | ^^ | Unknown | ^^ |
| MacBookAir5,2 | ^^ | Bab-droid | ^^ | 0.0.19 | ^^ |
| ^^ | ^^ | K-Hobert | ^^ | Unknown | ^^ |
| ^^ | ^^ | cboukouv | ^^ | 0.0.21 | ^^ |
| MacBookAir6,1 | <span style="color:red"> NO </span> | N/A | N/A | N/A | N/A |
| MacBookAir6,2 | ^^ | ^^ | ^^ | ^^ | ^^ |

### MacBook Pro

| SMBIOS | Tested | Tester | Model | Version | Comment |
| :--- | :--- | :--- | :--- | :--- | :--- | 
| MacBookPro4,1 | <span style="color:#30BCD5"> YES </span> | cboukouv | Stock | 0.0.19 | N/A |
| MacBookPro5,1 | ^^ | GURU_Jasho#5736 | ^^ | 0.0.21 | ^^ |
| MacBookPro5,2 | ^^ | hvds | ^^ | ^^ | ^^ |
| MacBookPro5,3 | ^^ | kommtzeitkonrad | ^^ | 0.0.22 | ^^ |
| MacBookPro5,4 | <span style="color:red"> NO </span> | N/A | N/A | N/A | N/A | 
| MacBookPro5,5 | ^^ | ^^ | ^^ | ^^ | ^^ |
| MacBookPro6,1 | ^^ | ^^ | ^^ | ^^ | ^^ |
| MacBookPro6,2 | <span style="color:#30BCD5"> YES </span> | Jakeluke | Stock | Unknown | dGPU broken |
| MacBookPro7,1 | ^^ | fussel132 | ^^ | 0.1.2 | N/A
| ^^ | ^^ | casey1234 | Upgraded SSD | 0.3.3 | ^^ |
| MacBookPro8,1 | ^^ | AvaQueen | Stock | 0.0.19 | ^^ |
| MacBookPro8,1 | ^^ | charly-black | Upgraded BCM94331PCIEBT4CAX | 0.3.1 | ^^ |
| MacBookPro8,2 | ^^ | air.man | Stock | 0.0.22 | dGPU disabled |
| ^^ | ^^ | cboukouv | ^^ | 0.0.19 | N/A |
| MacBookPro8,3 | ^^ | lulujyc | ^^  | 0.1.4 | dGPU disabled |
| MacBookPro9,1 | ^^ | jbdamiano | Stock | 0.0.19 | N/A |
| ^^ | ^^ | dennes544 | ^^ | ^^ | ^^ |
| ^^ | ^^ | cgrazy | ^^ | ^^ | ^^ |
| ^^ | ^^ | LIPA85 | ^^ | ^^ | ^^ |
| MacBookPro9,2 | ^^ | alexx17xx | ^^ | ^^ | ^^ |
| ^^ | ^^ | Arvxistanx | ^^ | ^^ | ^^ |
| ^^ | ^^ | CyberDroid1 | ^^ | 0.0.16 | ^^ | 
| ^^ | ^^ | woefi | Upgraded BCM94331CAX | 0.0.13 | ^^ |
| ^^ | ^^ | whgmkeller | Stock | 0.0.11 | ^^ |
| ^^ | ^^ | vinaypundith | Unknown | 0.0.7 | ^^ |
| ^^ | ^^ | casey1234 | Upgraded RAM and SSD | 0.3.3 | ^^ |
| ^^ | ^^ | crystall1nedev | ^^ | 0.4.4 | ^^ |
| MacBookPro10,1 | ^^ | traviswparker | Stock | 0.0.14 | ^^ |
| ^^ | ^^ | il-rollino | Upgraded BCM94360CSAX | 0.0.21 | ^^ |
| MacBookPro10,2 | ^^ | akidone | ^^ | 0.3.0 | ^^ |
| MacBookPro11,1 | ^^ | ParaDoX1994 | Stock | 0.4.4 | ^^ |
| MacBookPro11,2 | ^^ | casey1234 | ^^ | 0.3.3 | ^^ |
| MacBookPro11,3 | <span style="color:red"> NO </span> | N/A | N/A | N/A | ^^ |

### Mac mini

| SMBIOS | Tested | Tester | Model | Version | Comment |
| :--- | :--- | :--- | :--- | :--- | :--- | 
| Macmini3,1 | <span style="color:red"> NO </span> | N/A | N/A | N/A | N/A |
| Macmini4,1 | <span style="color:#30BCD5"> YES </span> | Towster15#6369 | Stock | 0.4.4 | Does not have internal SATA cable, booted and installed to SSD over USB 2.0 instead |
| Macmini5,1 | <span style="color:red"> NO </span> | N/A | N/A | N/A | N/A |
| Macmini5,2 | <span style="color:#30BCD5"> YES </span> | charly-black | Dual Core 2.7GHz<br/>AMD HD6630M | Patcher Version 0.3.1 | ^^ | 
| Macmini5,3 | ^^ | ^^ | ^^ | ^^ | ^^ |
| Macmini6,1 | ^^ | cicofz | Stock | 0.0.21 | ^^ |
| ^^ | ^^ | Stig124 | ^^ | 0.0.19 | ^^ |
| ^^ | ^^ | mwidjaya | ^^ |0.0.18 | ^^ |
| Macmini6,2 | ^^ | Shelbs | ^^ | 0.0.16 | ^^ |

### iMac

| SMBIOS | Tested | Tester | Model | Version | Comment |
| :--- | :--- | :--- | :--- | :--- | :--- | 
| iMac7,1 | <span style="color:#30BCD5"> YES </span> | lulujyc | iMac 20-inch<br/>Upgraded BCM94352HMB | 0.3.1 | The USB 1.1 controller is unstable on Big Sur+, using USB hubs (forcing USB 2.0) can fix unrecognized keyboard/ mouse. |
| iMac8,1 | ^^ | EduCovas | Stock | 0.0.21 | N/A |
| iMac9,1 | ^^ | Allanrfox | ^^ | ^^ | ^^ |
| ^^ | ^^ | Jakeluke | ^^ | ^^ | ^^ |
| iMac10,1 | ^^ | Ausdauersportler | Upgraded WX4150 | Unknown | ^^ |
| iMac11,1 | ^^ | internetzel | - Upgraded RX580 mobile | ^^ | ^^ |
| iMac11,2 | ^^ | MykolaG | Stock | 0.0.21 | ^^ |
| ^^ | ^^ | iMac-iPad | ^^ | ^^ | ^^ |
| ^^ | ^^ | vinaypundith | Unknown | 0.0.19 | ^^ |
| iMac11,3 | ^^ | Ausdauersportler | Upgraded Polaris GPU<br/>Upgraded BCM943602CDP | 0.0.21 | ^^ |
| iMac12,1 | ^^ | shnockdu | Upgraded Kepler GPU | ^^ | ^^ |
| ^^ | ^^ | StephN999 | Upgraded WX4150 GPU<br/>BCM94360CD| ^^ | ^^ |
| iMac12,2 | ^^ | Ausdauersportler | Upgraded Polaris GPU<br/>Upgraded BCM943602CDP | ^^ | ^^ |
| iMac13,1 | ^^ | alexx17xx | Stock | 0.0.19 | ^^ |
| iMac13,2 | ^^ | Alain13 | ^^ | ^^ | ^^ |
| ^^ | ^^ | algernonpule | ^^ | ^^ | ^^ |
| iMac13,3 | <span style="color:red"> NO </span> | N/A | N/A | N/A | ^^ |
| iMac14,1 | <span style="color:#30BCD5"> YES </span> | woefi | Upgraded NVMe | 0.0.21 | ^^ |
| ^^ | ^^ | mikeboss | Stock | 0.0.19 | ^^ |
| iMac14,2 | ^^ | OKonnel | ^^ | 0.0.22 | ^^ |
| ^^ | ^^ | mibaxx | ^^ | 0.0.21 | ^^ |
| iMac14,3 | <span style="color:red"> NO </span> | N/A | N/A | N/A | ^^ |
| iMac15,1 | <span style="color:#30BCD5"> YES </span> | JakubMazur | Upgraded RAM<br/>Upgraded Radeon R9 M295X<br/>Upgraded Quad-Core Intel Core i7 | 0.4.1 | ^^ |

### Mac Pro

| SMBIOS | Tested | Tester | Model | Version | Comment |
| :--- | :--- | :--- | :--- | :--- | :--- | 
| MacPro3,1 | <span style="color:#30BCD5"> YES </span> | MykolaG | Upgraded RX 470<br/>Upgraded BCM94360CD<br/>Stock Bluetooth card removed | 0.1.6 | N/A |
| ^^ | ^^ | christiann |Upgraded RX 560<br/>Upgraded BCM94322<br/>Stock Bluetooth card removed | 0.0.21 | ^^ |
| ^^ | ^^ | gw463 | Upgraded GTX 680<br/>Upgraded BCM94360 | 0.0.22 | ^^ |
| ^^ | ^^ | AlexSakha67 | Upgraded R9 280 | 0.0.20 | ^^ |
| ^^ | ^^ | nekton1 | Upgraded GTX 680 | ^^ | ^^ |
| ^^ | ^^ | Pri-est | Unknown | 0.0.9 | ^^ |
| ^^ | ^^ | vinaypundith | Upgraded GTX 680<br/>Upgraded BCM94360CD | 0.0.6 | ^^ |
| ^^ | ^^ | ParaDoX1994 | Upgraded HD 7950<br/>Stock Bluetooth card removed | 0.4.4 | ^^ |
| MacPro4,1 | ^^ | vinaypundith | Unknown | 0.0.9 | ^^ |
| MacPro5,1 | ^^ | woefi | Upgraded with RX 580 | 0.0.21 | ^^ |
| ^^ | ^^ | Mabrouk Oscar | Unknown | ^^ | ^^ |
| ^^ | ^^ | astuffedtiger | MacPro4,1 flashed to 5,1 | 0.0.18 | ^^ |
